Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.layout2.index
Class TupleLoaderIndexBase

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.store.TupleLoaderBase
              com.hp.hpl.jena.sdb.layout2.TupleLoaderBase
                  com.hp.hpl.jena.sdb.layout2.index.TupleLoaderIndexBase

All Implemented Interfaces:
  TupleLoaderBasics, TupleLoader

Direct Known Subclasses:
  TupleLoaderIndexDB2, TupleLoaderIndexDerby, TupleLoaderIndexH2, TupleLoaderIndexHSQL, TupleLoaderIndexMySQL, TupleLoaderIndexOracle, TupleLoaderIndexPGSQL, TupleLoaderIndexSQLServer

    public abstract class TupleLoaderIndexBase

extends TupleLoaderBase

Nested Class Summary

Nested classes/interfaces inherited from class com.hp.hpl.jena.sdb.layout2.TupleLoaderBase
`TupleLoaderBase.PreparedNode`

Constructor Summary
`TupleLoaderIndexBase(SDBConnection connection, TableDesc tableDesc, int chunkSize)`

Method Summary
`String` | `getDeleteAllTuples()`
`String` | `getDeleteTuples()`
`String` | `getLoadTuples()`

Methods inherited from class com.hp.hpl.jena.sdb.layout2.TupleLoaderBase
`clearsOnCommit, close, finish, getArity, getClearTempNodes, getClearTempTuples, getCreateTempNodes, getCreateTempTuples, getInsertTempNodes, getInsertTempTuples, getLoadNodes, getNodeLoader, getTupleLoader, load, unload`

Methods inherited from class com.hp.hpl.jena.sdb.store.TupleLoaderBase
`getTableDesc, getTableName, setTableDesc, start`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sdb.layout2.TupleLoaderBasics
`getCreateTempTable, getNodeColTypes, getTupleColType`

Constructor Detail

### TupleLoaderIndexBase

    public TupleLoaderIndexBase(SDBConnection connection,
                                TableDesc tableDesc,
                                int chunkSize)

Method Detail

### getLoadTuples

    public String getLoadTuples()

### getDeleteTuples

    public String getDeleteTuples()

### getDeleteAllTuples

    public String getDeleteAllTuples()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.